org.gradle.api.artifacts

## Interface ResolvedArtifact

- All Superinterfaces:
    HasAttributes

      public interface ResolvedArtifact
      extends HasAttributes

  Information about a resolved artifact.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassifier()`
    `String` | `getExtension()`
    `File` | `getFile()`
    `ComponentArtifactIdentifier` | `getId()`
    `ResolvedModuleVersion` | `getModuleVersion()` Returns the module which this artifact belongs to.
    `String` | `getName()`
    `String` | `getType()`

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

- - ### Method Detail

    - #### getFile

          File getFile()

    - #### getModuleVersion

          ResolvedModuleVersion getModuleVersion()

      Returns the module which this artifact belongs to.
      Returns:
        The module.

    - #### getName

          String getName()

    - #### getType

          String getType()

    - #### getExtension

          String getExtension()

    - #### getClassifier

          @Nullable
          String getClassifier()

    - #### getId

          @Incubating
          ComponentArtifactIdentifier getId()